Commit c0e4f7b9 authored by Natanael Copa's avatar Natanael Copa
Browse files

main/libretls: fix the generation of SO version

Follow upstream so version so we don't miss upstream ABI breakages
parent c8118609
......@@ -2,7 +2,7 @@
# Maintainer: Ariadne Conill <ariadne@dereferenced.org>
pkgname=libretls
pkgver=3.3.3p1
pkgrel=1
pkgrel=2
pkgdesc="port of libtls from libressl to openssl"
arch="all"
url="https://git.causal.agency/libretls/"
......@@ -18,8 +18,13 @@ source="https://causal.agency/libretls/libretls-$pkgver.tar.gz
prepare() {
default_prepare
# Override the LIBTLS_VERSION to be 2.0.0, as libtls-standalone was 1:0:0.
echo '2:0:0' > "$builddir"/LIBTLS_VERSION
# Override the LIBTLS_VERSION to be 2:*:*, as libtls-standalone was 1:0:0.
# also make sure the LIBTLS version is different from upstream libressl
# so they can be installed in parallel
local _current _rev _age
IFS=: read _current _rev _age < LIBTLS_VERSION
printf "%d:%d:%d\n" $(( $_current - 18 )) $_rev $_age > LIBTLS_VERSION
autoreconf
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment